#include "TelnetApp.h"

#include <syslog.h>

int main()
{	
	// First, open up a connection to syslogd so we can be a
	// happy program with bugs few and far between.
	openlog("Telnet", LOG_PID|LOG_PERROR, LOG_USER);

	// Now start the app.
	TelnetApp *app;
	if (!(app = new TelnetApp)) {
		syslog(LOG_CRIT, "Couldn't instantiate new application.");
		return -1;
	}
	app->Run();

	return 0;
}
